#import <Foundation/Foundation.h>
#import "PostfixStatement.h"

#include <stdio.h>
#include <stdlib.h>

int main (int argc, const char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSString *expr = @"x = (5 * 4) - (24.5/2 + (1-.25))";

	if (argc > 1)
	{
		// get the command line argument array
		NSArray *args = [[NSProcessInfo processInfo] arguments];

		// get the sub-array starting from argument 1
		args = [args subarrayWithRange:
				NSMakeRange(1, [args count] - 1)];

		// turn array into a space-separated expression
		expr = [args componentsJoinedByString: @" "];
	}

	printf("Infix expression is:   \"%s\"\n", [expr cString]);
	expr = [PostfixStatement expressionFromInfixExpression: expr];
	printf("Postfix expression is: \"%s\"\n", [expr cString]);

	[pool release];

	return EXIT_SUCCESS;
}
