//
//  $Id: PostfixStatement.h,v 1.2 2007/05/02 07:56:33 rh Exp $
//
//  Copyright 2007 Rene Hexel. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * A simple class with just one class method that converts an
 * infix expression to a postfix expression
 */
@interface PostfixStatement: NSObject

/**
 * <p>Creates a postfix expression string from an infix expression string.</p>
 *
 * <p>Infix expressions need to conform to the following grammar:</p>
 * <p>
 * Statement  = [identifier '=' ] Expression              <br />
 * Expression = Term   { '+'|'-' Term }                   <br />
 * Term       = Factor [ '*'|'/' Factor ]                 <br />
 * Factor     = number | identifier | '(' Expression ')'  <br />
 * </p>
 */
+ (NSString *) expressionFromInfixExpression: (NSString *) infixExpression;

@end
